/*
 * Copyright 2010-2013 Grzegorz Slowikowski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.code.play.selenium.step;

public class CommandStep
    extends AbstractSeleniumStep
{

    protected VoidSeleniumCommand command;

    public CommandStep( VoidSeleniumCommand command )
    {
        this.command = command;
    }

    protected void doExecute()
        throws Exception
    {
        command.execute();
    }

    public String toString()
    {
        StringBuffer buf = new StringBuffer();
        buf.append( command.command ).append( "(" );
        if ( !"".equals( command.param1 ) )
        {
            buf.append( "'" ).append( command.param1 ).append( "'" );
            if ( !"".equals( command.param2 ) )
            {
                buf.append( ", '" ).append( command.param2 ).append( "'" );
            }
        }
        buf.append( ")" );
        return buf.toString();
    }
}
